Subject: Re: bug#11493: 24.0.95; regression: comint-output-filter-functions / ansi-color-process-output

From: Chong Yidong <[email-masked]>
Date: Tue, 29 May 2012 21:47:00 +0800

"Roland Winkler" <[email-masked]> writes:

> In Emacs 24, ansi-color-process-output has been added to the hook
> comint-output-filter-functions.

Actually, in Emacs 23, ansi-color-process-output is also added to
comint-output-filter-functions at top-level in ansi-color.el.

> ansi-color-process-output checks that comint-last-output-start is
> non-nil. But it does not handle the case that comint-last-output-start
> holds a marker that does not point anywhere. So this code fails.

This is already fixed in the emacs-24 branch, r107978.  Thanks.